QCAT - Task #596

User Story # 850 (Closed): Implementation of web services to query SLM practicies

Specification of APl / webservices
02 Dec 2014 09:51 - Kurt Gerber

Status: Closed

Priority: High

Assignee: Kurt Gerber

Category: Administration

Target version: QCAT v0.9 - Second Beta

Resolution:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

11 May 2016
20 May 2016
0%

16.00 hours
0.00 hour

Description
Specification of API

[ ]

Endpoints (URLs) and what do they return
¢ Output formats (JSON, CSV, XML)

¢ Filter options and parameters

¢ Data sources: Elasticsearch or DB

¢ Allowed methods (GET)

¢ Authentication

Related issues:

Precedes Task #747: Implementation of Web Services to query Questionnaire

Closed 23 May 2016

24 May 2016

History

#1 - 02 Dec 2014 10:47 - Kurt Gerber
- Parent task set to #548

#2 - 31 Mar 2015 15:59 - Lukas Vonlanthen

- Assignee changed from Lukas Vonlanthen to Kurt Gerber

#3 - 14 Apr 2015 15:38 - Kurt Gerber
- Estimated time set to 16.00 h

#4 - 16 Apr 2015 11:57 - Kurt Gerber

- Tracker changed from Feature to User Story

#5 - 16 Apr 2015 11:58 - Kurt Gerber

- Tracker changed from User Story to Feature

#6 - 02 Jun 2015 14:57 - Kurt Gerber
- Project changed from 14 to QCAT

- Category changed from Planning to Administration

- Target version changed from Technical Specification to QCAT v0.8 - First Beta

- Parent task changed from #548 to #634

#7 - 21 Sep 2015 14:47 - Kurt Gerber

- Target version changed from QCAT v0.8 - First Beta to QCAT v0.9 - Second Beta

#8 - 13 Nov 2015 09:09 - Kurt Gerber

- Target version changed from QCAT v0.9 - Second Beta to QCAT v0.8 - First Beta

#9 - 13 Nov 2015 09:33 - Kurt Gerber

- Target version changed from QCAT v0.8 - First Beta to QCAT v0.9 - Second Beta
#10 - 07 Jan 2016 00:07 - Kurt Gerber
- Tracker changed from Feature to Task

- Priority changed from Normal to High

#11 - 07 Jan 2016 15:50 - Lukas Vonlanthen
- Description updated

- Due date changed from 30 Jan 2015 to 30 Jan 2016

#12 - 07 Jan 2016 15:53 - Lukas Vonlanthen
- Parent task changed from #634 to #695

#13 - 07 Jan 2016 15:55 - Lukas Vonlanthen

- Precedes Task #747: Implementation of Web Services to query Questionnaire added

#14 - 25 Jan 2016 12:47 - Kurt Gerber

- Status changed from New to In Progress

#15 - 29 Mar 2016 17:42 - Kurt Gerber
- Due date changed from 30 Jan 2016 to 30 Apr 2016

Only specification about additional fields for SKBP

#16 - 29 Mar 2016 17:45 - Kurt Gerber
- Due date changed from 30 Apr 2016 to 22 Apr 2016
- Start date changed from 02 Dec 2014 to 18 Dec 2014

#17 - 29 Mar 2016 17:49 - Kurt Gerber
- Parent task changed from #695 to #850

#18 - 30 Mar 2016 11:58 - Kurt Gerber
- Due date changed from 22 Apr 2016 to 20 May 2016
- Start date changed from 18 Dec 2014 to 11 May 2015

#19 - 30 Mar 2016 12:03 - Kurt Gerber
- Start date changed from 11 May 2015 to 11 May 2016

#20 - 07 Apr 2016 10:33 - Kurt Gerber

- Status changed from In Progress to Closed
